
From: Christoph Hellwig <hch@lst.de>

Put kernel_flag back to where it used to be, near its comment and its
EXPORT_SYMBOL.



---

 25-akpm/kernel/sched.c |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

diff -puN kernel/sched.c~kernel_flag-fixes kernel/sched.c
--- 25/kernel/sched.c~kernel_flag-fixes	Tue Jan 27 13:27:48 2004
+++ 25-akpm/kernel/sched.c	Tue Jan 27 13:27:48 2004
@@ -124,9 +124,6 @@
 	(NS_TO_JIFFIES((p)->sleep_avg) * MAX_BONUS / \
 		MAX_SLEEP_AVG)
 
-/* spinlock debugging needs this, even on !CONFIG_SMP */
-spinlock_t kernel_flag __cacheline_aligned_in_smp = SPIN_LOCK_UNLOCKED;
-
 #ifdef CONFIG_SMP
 #define TIMESLICE_GRANULARITY(p)	(MIN_TIMESLICE * \
 		(1 << (((MAX_BONUS - CURRENT_BONUS(p)) ? : 1) - 1)) * \
@@ -2866,7 +2863,6 @@ __init int migration_init(void)
 
 #endif
 
-#if defined(CONFIG_SMP) || defined(CONFIG_PREEMPT)
 /*
  * The 'big kernel lock'
  *
@@ -2876,10 +2872,11 @@ __init int migration_init(void)
  * been migrated to a proper locking design yet.
  *
  * Don't use in new code.
+ *
+ * Note: spinlock debugging needs this even on !CONFIG_SMP.
  */
-
+spinlock_t kernel_flag __cacheline_aligned_in_smp = SPIN_LOCK_UNLOCKED;
 EXPORT_SYMBOL(kernel_flag);
-#endif
 
 static void kstat_init_cpu(int cpu)
 {

_
